Browse Source

merged r1811..1815 from lp:~donkult/apt/experimental

debian/1.8.y
Michael Vogt 13 years ago
parent
commit
7a9f09bd66
  1. 7
      apt-pkg/deb/debmetaindex.cc
  2. 1
      apt-pkg/deb/debmetaindex.h
  3. 8
      apt-pkg/deb/debsrcrecords.cc
  4. 1
      apt-pkg/deb/debsrcrecords.h
  5. 8
      apt-pkg/metaindex.h
  6. 3
      cmdline/apt-get.cc
  7. 2
      debian/control
  8. 270
      po/apt-all.pot

7
apt-pkg/deb/debmetaindex.cc

@ -115,6 +115,13 @@ debReleaseIndex::debReleaseIndex(string URI,string Dist)
this->Type = "deb";
}
debReleaseIndex::~debReleaseIndex()
{
for (vector<const debSectionEntry *>::const_iterator I = SectionEntries.begin();
I != SectionEntries.end(); I++)
delete *I;
}
vector <struct IndexTarget *>* debReleaseIndex::ComputeIndexTargets() const
{
vector <struct IndexTarget *>* IndexTargets = new vector <IndexTarget *>;

1
apt-pkg/deb/debmetaindex.h

@ -22,6 +22,7 @@ class debReleaseIndex : public metaIndex {
public:
debReleaseIndex(string URI, string Dist);
~debReleaseIndex();
virtual string ArchiveURI(string File) const {return URI + File;};
virtual bool GetIndexes(pkgAcquire *Owner, bool GetAll=false) const;

8
apt-pkg/deb/debsrcrecords.cc

@ -152,3 +152,11 @@ bool debSrcRecordParser::Files(vector<pkgSrcRecords::File> &List)
return true;
}
/*}}}*/
// SrcRecordParser::~SrcRecordParser - Destructor /*{{{*/
// ---------------------------------------------------------------------
/* */
debSrcRecordParser::~debSrcRecordParser()
{
delete[] Buffer;
}
/*}}}*/

1
apt-pkg/deb/debsrcrecords.h

@ -50,6 +50,7 @@ class debSrcRecordParser : public pkgSrcRecords::Parser
debSrcRecordParser(string File,pkgIndexFile const *Index)
: Parser(Index), Fd(File,FileFd::ReadOnly), Tags(&Fd,102400),
Buffer(0), BufSize(0) {}
~debSrcRecordParser();
};
#endif

8
apt-pkg/metaindex.h

@ -39,7 +39,13 @@ class metaIndex
virtual vector<pkgIndexFile *> *GetIndexFiles() = 0;
virtual bool IsTrusted() const = 0;
virtual ~metaIndex() {};
virtual ~metaIndex() {
if (Indexes == 0)
return;
for (vector<pkgIndexFile *>::iterator I = (*Indexes).begin(); I != (*Indexes).end(); ++I)
delete *I;
delete Indexes;
}
};
#endif

3
cmdline/apt-get.cc

@ -111,6 +111,9 @@ class CacheFile : public pkgCacheFile
return Open(true);
}
CacheFile() : List(0) {};
~CacheFile() {
delete[] List;
}
};
/*}}}*/

2
debian/control

@ -5,7 +5,7 @@ Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>, Otavio Salvador <otavio@debian.org>,
Christian Perrier <bubulle@debian.org>, Daniel Burrows <dburrows@debian.org>,
Luca Bruno <lethalman88@gmail.com>, Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Standards-Version: 3.8.0
Standards-Version: 3.8.1.0
Build-Depends: debhelper (>= 5.0), libdb-dev, gettext (>= 0.12), libcurl4-gnutls-dev | libcurl3-gnutls-dev (>= 7.15.5), debiandoc-sgml, docbook-utils (>= 0.6.12), xsltproc, docbook-xsl, xmlto
Vcs-Bzr: http://bzr.debian.org/apt/debian-sid/

270
po/apt-all.pot

@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2009-06-29 17:01+0200\n"
"POT-Creation-Date: 2009-06-30 14:09+0200\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
@ -156,7 +156,7 @@ msgstr ""
#: cmdline/apt-cache.cc:1714 cmdline/apt-cdrom.cc:138 cmdline/apt-config.cc:70
#: cmdline/apt-extracttemplates.cc:225 ftparchive/apt-ftparchive.cc:547
#: cmdline/apt-get.cc:2582 cmdline/apt-sortpkgs.cc:144
#: cmdline/apt-get.cc:2586 cmdline/apt-sortpkgs.cc:144
#, c-format
msgid "%s %s for %s compiled on %s %s\n"
msgstr ""
@ -550,221 +550,221 @@ msgstr ""
msgid "Failed to rename %s to %s"
msgstr ""
#: cmdline/apt-get.cc:124
#: cmdline/apt-get.cc:127
msgid "Y"
msgstr ""
#: cmdline/apt-get.cc:146 cmdline/apt-get.cc:1658
#: cmdline/apt-get.cc:149 cmdline/apt-get.cc:1661
#, c-format
msgid "Regex compilation error - %s"
msgstr ""
#: cmdline/apt-get.cc:241
#: cmdline/apt-get.cc:244
msgid "The following packages have unmet dependencies:"
msgstr ""
#: cmdline/apt-get.cc:331
#: cmdline/apt-get.cc:334
#, c-format
msgid "but %s is installed"
msgstr ""
#: cmdline/apt-get.cc:333
#: cmdline/apt-get.cc:336
#, c-format
msgid "but %s is to be installed"
msgstr ""
#: cmdline/apt-get.cc:340
#: cmdline/apt-get.cc:343
msgid "but it is not installable"
msgstr ""
#: cmdline/apt-get.cc:342
#: cmdline/apt-get.cc:345
msgid "but it is a virtual package"
msgstr ""
#: cmdline/apt-get.cc:345
#: cmdline/apt-get.cc:348
msgid "but it is not installed"
msgstr ""
#: cmdline/apt-get.cc:345
#: cmdline/apt-get.cc:348
msgid "but it is not going to be installed"
msgstr ""
#: cmdline/apt-get.cc:350
#: cmdline/apt-get.cc:353
msgid " or"
msgstr ""
#: cmdline/apt-get.cc:379
#: cmdline/apt-get.cc:382
msgid "The following NEW packages will be installed:"
msgstr ""
#: cmdline/apt-get.cc:405
#: cmdline/apt-get.cc:408
msgid "The following packages will be REMOVED:"
msgstr ""
#: cmdline/apt-get.cc:427
#: cmdline/apt-get.cc:430
msgid "The following packages have been kept back:"
msgstr ""
#: cmdline/apt-get.cc:448
#: cmdline/apt-get.cc:451
msgid "The following packages will be upgraded:"
msgstr ""
#: cmdline/apt-get.cc:469
#: cmdline/apt-get.cc:472
msgid "The following packages will be DOWNGRADED:"
msgstr ""
#: cmdline/apt-get.cc:489
#: cmdline/apt-get.cc:492
msgid "The following held packages will be changed:"
msgstr ""
#: cmdline/apt-get.cc:542
#: cmdline/apt-get.cc:545
#, c-format
msgid "%s (due to %s) "
msgstr ""
#: cmdline/apt-get.cc:550
#: cmdline/apt-get.cc:553
msgid ""
"WARNING: The following essential packages will be removed.\n"
"This should NOT be done unless you know exactly what you are doing!"
msgstr ""
#: cmdline/apt-get.cc:581
#: cmdline/apt-get.cc:584
#, c-format
msgid "%lu upgraded, %lu newly installed, "
msgstr ""
#: cmdline/apt-get.cc:585
#: cmdline/apt-get.cc:588
#, c-format
msgid "%lu reinstalled, "
msgstr ""
#: cmdline/apt-get.cc:587
#: cmdline/apt-get.cc:590
#, c-format
msgid "%lu downgraded, "
msgstr ""
#: cmdline/apt-get.cc:589
#: cmdline/apt-get.cc:592
#, c-format
msgid "%lu to remove and %lu not upgraded.\n"
msgstr ""
#: cmdline/apt-get.cc:593
#: cmdline/apt-get.cc:596
#, c-format
msgid "%lu not fully installed or removed.\n"
msgstr ""
#: cmdline/apt-get.cc:667
#: cmdline/apt-get.cc:670
msgid "Correcting dependencies..."
msgstr ""
#: cmdline/apt-get.cc:670
#: cmdline/apt-get.cc:673
msgid " failed."
msgstr ""
#: cmdline/apt-get.cc:673
#: cmdline/apt-get.cc:676
msgid "Unable to correct dependencies"
msgstr ""
#: cmdline/apt-get.cc:676
#: cmdline/apt-get.cc:679
msgid "Unable to minimize the upgrade set"
msgstr ""
#: cmdline/apt-get.cc:678
#: cmdline/apt-get.cc:681
msgid " Done"
msgstr ""
#: cmdline/apt-get.cc:682
#: cmdline/apt-get.cc:685
msgid "You might want to run `apt-get -f install' to correct these."
msgstr ""
#: cmdline/apt-get.cc:685
#: cmdline/apt-get.cc:688
msgid "Unmet dependencies. Try using -f."
msgstr ""
#: cmdline/apt-get.cc:707
#: cmdline/apt-get.cc:710
msgid "WARNING: The following packages cannot be authenticated!"
msgstr ""
#: cmdline/apt-get.cc:711
#: cmdline/apt-get.cc:714
msgid "Authentication warning overridden.\n"
msgstr ""
#: cmdline/apt-get.cc:718
#: cmdline/apt-get.cc:721
msgid "Install these packages without verification [y/N]? "
msgstr ""
#: cmdline/apt-get.cc:720
#: cmdline/apt-get.cc:723
msgid "Some packages could not be authenticated"
msgstr ""
#: cmdline/apt-get.cc:729 cmdline/apt-get.cc:881
#: cmdline/apt-get.cc:732 cmdline/apt-get.cc:884
msgid "There are problems and -y was used without --force-yes"
msgstr ""
#: cmdline/apt-get.cc:773
#: cmdline/apt-get.cc:776
msgid "Internal error, InstallPackages was called with broken packages!"
msgstr ""
#: cmdline/apt-get.cc:782
#: cmdline/apt-get.cc:785
msgid "Packages need to be removed but remove is disabled."
msgstr ""
#: cmdline/apt-get.cc:793
#: cmdline/apt-get.cc:796
msgid "Internal error, Ordering didn't finish"
msgstr ""
#: cmdline/apt-get.cc:809 cmdline/apt-get.cc:1999 cmdline/apt-get.cc:2032
#: cmdline/apt-get.cc:812 cmdline/apt-get.cc:2003 cmdline/apt-get.cc:2036
msgid "Unable to lock the download directory"
msgstr ""
#: cmdline/apt-get.cc:819 cmdline/apt-get.cc:2080 cmdline/apt-get.cc:2326
#: cmdline/apt-get.cc:822 cmdline/apt-get.cc:2084 cmdline/apt-get.cc:2330
#: apt-pkg/cachefile.cc:65
msgid "The list of sources could not be read."
msgstr ""
#: cmdline/apt-get.cc:834
#: cmdline/apt-get.cc:837
msgid "How odd.. The sizes didn't match, email apt@packages.debian.org"
msgstr ""
#: cmdline/apt-get.cc:839
#: cmdline/apt-get.cc:842
#, c-format
msgid "Need to get %sB/%sB of archives.\n"
msgstr ""
#: cmdline/apt-get.cc:842
#: cmdline/apt-get.cc:845
#, c-format
msgid "Need to get %sB of archives.\n"
msgstr ""
#: cmdline/apt-get.cc:847
#: cmdline/apt-get.cc:850
#, c-format
msgid "After this operation, %sB of additional disk space will be used.\n"
msgstr ""
#: cmdline/apt-get.cc:850
#: cmdline/apt-get.cc:853
#, c-format
msgid "After this operation, %sB disk space will be freed.\n"
msgstr ""
#: cmdline/apt-get.cc:864 cmdline/apt-get.cc:2175
#: cmdline/apt-get.cc:867 cmdline/apt-get.cc:2179
#, c-format
msgid "Couldn't determine free space in %s"
msgstr ""
#: cmdline/apt-get.cc:871
#: cmdline/apt-get.cc:874
#, c-format
msgid "You don't have enough free space in %s."
msgstr ""
#: cmdline/apt-get.cc:887 cmdline/apt-get.cc:907
#: cmdline/apt-get.cc:890 cmdline/apt-get.cc:910
msgid "Trivial Only specified but this is not a trivial operation."
msgstr ""
#: cmdline/apt-get.cc:889
#: cmdline/apt-get.cc:892
msgid "Yes, do as I say!"
msgstr ""
#: cmdline/apt-get.cc:891
#: cmdline/apt-get.cc:894
#, c-format
msgid ""
"You are about to do something potentially harmful.\n"
@ -772,74 +772,74 @@ msgid ""
" ?] "
msgstr ""
#: cmdline/apt-get.cc:897 cmdline/apt-get.cc:916
#: cmdline/apt-get.cc:900 cmdline/apt-get.cc:919
msgid "Abort."
msgstr ""
#: cmdline/apt-get.cc:912
#: cmdline/apt-get.cc:915
msgid "Do you want to continue [Y/n]? "
msgstr ""
#: cmdline/apt-get.cc:984 cmdline/apt-get.cc:2223 apt-pkg/algorithms.cc:1388
#: cmdline/apt-get.cc:987 cmdline/apt-get.cc:2227 apt-pkg/algorithms.cc:1400
#, c-format
msgid "Failed to fetch %s %s\n"
msgstr ""
#: cmdline/apt-get.cc:1002
#: cmdline/apt-get.cc:1005
msgid "Some files failed to download"
msgstr ""
#: cmdline/apt-get.cc:1003 cmdline/apt-get.cc:2232
#: cmdline/apt-get.cc:1006 cmdline/apt-get.cc:2236
msgid "Download complete and in download only mode"
msgstr ""
#: cmdline/apt-get.cc:1009
#: cmdline/apt-get.cc:1012
msgid ""
"Unable to fetch some archives, maybe run apt-get update or try with --fix-"
"missing?"
msgstr ""
#: cmdline/apt-get.cc:1013
#: cmdline/apt-get.cc:1016
msgid "--fix-missing and media swapping is not currently supported"
msgstr ""
#: cmdline/apt-get.cc:1018
#: cmdline/apt-get.cc:1021
msgid "Unable to correct missing packages."
msgstr ""
#: cmdline/apt-get.cc:1019
#: cmdline/apt-get.cc:1022
msgid "Aborting install."
msgstr ""
#: cmdline/apt-get.cc:1053
#: cmdline/apt-get.cc:1056
#, c-format
msgid "Note, selecting %s instead of %s\n"
msgstr ""
#: cmdline/apt-get.cc:1063
#: cmdline/apt-get.cc:1066
#, c-format
msgid "Skipping %s, it is already installed and upgrade is not set.\n"
msgstr ""
#: cmdline/apt-get.cc:1081
#: cmdline/apt-get.cc:1084
#, c-format
msgid "Package %s is not installed, so not removed\n"
msgstr ""
#: cmdline/apt-get.cc:1092
#: cmdline/apt-get.cc:1095
#, c-format
msgid "Package %s is a virtual package provided by:\n"
msgstr ""
#: cmdline/apt-get.cc:1104
#: cmdline/apt-get.cc:1107
msgid " [Installed]"
msgstr ""
#: cmdline/apt-get.cc:1109
#: cmdline/apt-get.cc:1112
msgid "You should explicitly select one to install."
msgstr ""
#: cmdline/apt-get.cc:1114
#: cmdline/apt-get.cc:1117
#, c-format
msgid ""
"Package %s is not available, but is referred to by another package.\n"
@ -847,68 +847,68 @@ msgid ""
"is only available from another source\n"
msgstr ""
#: cmdline/apt-get.cc:1133
#: cmdline/apt-get.cc:1136
msgid "However the following packages replace it:"
msgstr ""
#: cmdline/apt-get.cc:1136
#: cmdline/apt-get.cc:1139
#, c-format
msgid "Package %s has no installation candidate"
msgstr ""
#: cmdline/apt-get.cc:1156
#: cmdline/apt-get.cc:1159
#, c-format
msgid "Reinstallation of %s is not possible, it cannot be downloaded.\n"
msgstr ""
#: cmdline/apt-get.cc:1164
#: cmdline/apt-get.cc:1167
#, c-format
msgid "%s is already the newest version.\n"
msgstr ""
#: cmdline/apt-get.cc:1193
#: cmdline/apt-get.cc:1196
#, c-format
msgid "Release '%s' for '%s' was not found"
msgstr ""
#: cmdline/apt-get.cc:1195
#: cmdline/apt-get.cc:1198
#, c-format
msgid "Version '%s' for '%s' was not found"
msgstr ""
#: cmdline/apt-get.cc:1201
#: cmdline/apt-get.cc:1204
#, c-format
msgid "Selected version %s (%s) for %s\n"
msgstr ""
#: cmdline/apt-get.cc:1307
#: cmdline/apt-get.cc:1310
#, c-format
msgid "No source package '%s' picking '%s' instead\n"
msgstr ""
#: cmdline/apt-get.cc:1345
#: cmdline/apt-get.cc:1348
msgid "The update command takes no arguments"
msgstr ""
#: cmdline/apt-get.cc:1358
#: cmdline/apt-get.cc:1361
msgid "Unable to lock the list directory"
msgstr ""
#: cmdline/apt-get.cc:1410
#: cmdline/apt-get.cc:1413
msgid "We are not supposed to delete stuff, can't start AutoRemover"
msgstr ""
#: cmdline/apt-get.cc:1442
#: cmdline/apt-get.cc:1445
msgid ""
"The following packages were automatically installed and are no longer "
"required:"
msgstr ""
#: cmdline/apt-get.cc:1444
#: cmdline/apt-get.cc:1447
msgid "Use 'apt-get autoremove' to remove them."
msgstr ""
#: cmdline/apt-get.cc:1449
#: cmdline/apt-get.cc:1452
msgid ""
"Hmm, seems like the AutoRemover destroyed something which really\n"
"shouldn't happen. Please file a bug report against apt."
@ -924,49 +924,49 @@ msgstr ""
#. "that package should be filed.") << endl;
#. }
#.
#: cmdline/apt-get.cc:1452 cmdline/apt-get.cc:1742
#: cmdline/apt-get.cc:1455 cmdline/apt-get.cc:1745
msgid "The following information may help to resolve the situation:"
msgstr ""
#: cmdline/apt-get.cc:1456
#: cmdline/apt-get.cc:1459
msgid "Internal Error, AutoRemover broke stuff"
msgstr ""
#: cmdline/apt-get.cc:1475
#: cmdline/apt-get.cc:1478
msgid "Internal error, AllUpgrade broke stuff"
msgstr ""
#: cmdline/apt-get.cc:1530
#: cmdline/apt-get.cc:1533
#, c-format
msgid "Couldn't find task %s"
msgstr ""
#: cmdline/apt-get.cc:1645 cmdline/apt-get.cc:1681
#: cmdline/apt-get.cc:1648 cmdline/apt-get.cc:1684
#, c-format
msgid "Couldn't find package %s"
msgstr ""
#: cmdline/apt-get.cc:1668
#: cmdline/apt-get.cc:1671
#, c-format
msgid "Note, selecting %s for regex '%s'\n"
msgstr ""
#: cmdline/apt-get.cc:1699
#: cmdline/apt-get.cc:1702
#, c-format
msgid "%s set to manually installed.\n"
msgstr ""
#: cmdline/apt-get.cc:1712
#: cmdline/apt-get.cc:1715
msgid "You might want to run `apt-get -f install' to correct these:"
msgstr ""
#: cmdline/apt-get.cc:1715
#: cmdline/apt-get.cc:1718
msgid ""
"Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a "
"solution)."
msgstr ""
#: cmdline/apt-get.cc:1727
#: cmdline/apt-get.cc:1730
msgid ""
"Some packages could not be installed. This may mean that you have\n"
"requested an impossible situation or if you are using the unstable\n"
@ -974,152 +974,152 @@ msgid ""
"or been moved out of Incoming."
msgstr ""
#: cmdline/apt-get.cc:1745
#: cmdline/apt-get.cc:1748
msgid "Broken packages"
msgstr ""
#: cmdline/apt-get.cc:1774
#: cmdline/apt-get.cc:1777
msgid "The following extra packages will be installed:"
msgstr ""
#: cmdline/apt-get.cc:1863
#: cmdline/apt-get.cc:1866
msgid "Suggested packages:"
msgstr ""
#: cmdline/apt-get.cc:1864
#: cmdline/apt-get.cc:1867
msgid "Recommended packages:"
msgstr ""
#: cmdline/apt-get.cc:1892
#: cmdline/apt-get.cc:1896
msgid "Calculating upgrade... "
msgstr ""
#: cmdline/apt-get.cc:1895 methods/ftp.cc:702 methods/connect.cc:112
#: cmdline/apt-get.cc:1899 methods/ftp.cc:702 methods/connect.cc:112
msgid "Failed"
msgstr ""
#: cmdline/apt-get.cc:1900
#: cmdline/apt-get.cc:1904
msgid "Done"
msgstr ""
#: cmdline/apt-get.cc:1967 cmdline/apt-get.cc:1975
#: cmdline/apt-get.cc:1971 cmdline/apt-get.cc:1979
msgid "Internal error, problem resolver broke stuff"
msgstr ""
#: cmdline/apt-get.cc:2075
#: cmdline/apt-get.cc:2079
msgid "Must specify at least one package to fetch source for"
msgstr ""
#: cmdline/apt-get.cc:2105 cmdline/apt-get.cc:2344
#: cmdline/apt-get.cc:2109 cmdline/apt-get.cc:2348
#, c-format
msgid "Unable to find a source package for %s"
msgstr ""
#: cmdline/apt-get.cc:2154
#: cmdline/apt-get.cc:2158
#, c-format
msgid "Skipping already downloaded file '%s'\n"
msgstr ""
#: cmdline/apt-get.cc:2182
#: cmdline/apt-get.cc:2186
#, c-format
msgid "You don't have enough free space in %s"
msgstr ""
#: cmdline/apt-get.cc:2188
#: cmdline/apt-get.cc:2192
#, c-format
msgid "Need to get %sB/%sB of source archives.\n"
msgstr ""
#: cmdline/apt-get.cc:2191
#: cmdline/apt-get.cc:2195
#, c-format
msgid "Need to get %sB of source archives.\n"
msgstr ""
#: cmdline/apt-get.cc:2197
#: cmdline/apt-get.cc:2201
#, c-format
msgid "Fetch source %s\n"
msgstr ""
#: cmdline/apt-get.cc:2228
#: cmdline/apt-get.cc:2232
msgid "Failed to fetch some archives."
msgstr ""
#: cmdline/apt-get.cc:2256
#: cmdline/apt-get.cc:2260
#, c-format
msgid "Skipping unpack of already unpacked source in %s\n"
msgstr ""
#: cmdline/apt-get.cc:2268
#: cmdline/apt-get.cc:2272
#, c-format
msgid "Unpack command '%s' failed.\n"
msgstr ""
#: cmdline/apt-get.cc:2269
#: cmdline/apt-get.cc:2273
#, c-format
msgid "Check if the 'dpkg-dev' package is installed.\n"
msgstr ""
#: cmdline/apt-get.cc:2286
#: cmdline/apt-get.cc:2290
#, c-format
msgid "Build command '%s' failed.\n"
msgstr ""
#: cmdline/apt-get.cc:2305
#: cmdline/apt-get.cc:2309
msgid "Child process failed"
msgstr ""
#: cmdline/apt-get.cc:2321
#: cmdline/apt-get.cc:2325
msgid "Must specify at least one package to check builddeps for"
msgstr ""
#: cmdline/apt-get.cc:2349
#: cmdline/apt-get.cc:2353
#, c-format
msgid "Unable to get build-dependency information for %s"
msgstr ""
#: cmdline/apt-get.cc:2369
#: cmdline/apt-get.cc:2373
#, c-format
msgid "%s has no build depends.\n"
msgstr ""
#: cmdline/apt-get.cc:2421
#: cmdline/apt-get.cc:2425
#, c-format
msgid ""
"%s dependency for %s cannot be satisfied because the package %s cannot be "
"found"
msgstr ""
#: cmdline/apt-get.cc:2474
#: cmdline/apt-get.cc:2478
#, c-format
msgid ""
"%s dependency for %s cannot be satisfied because no available versions of "
"package %s can satisfy version requirements"
msgstr ""
#: cmdline/apt-get.cc:2510
#: cmdline/apt-get.cc:2514
#, c-format
msgid "Failed to satisfy %s dependency for %s: Installed package %s is too new"
msgstr ""
#: cmdline/apt-get.cc:2537
#: cmdline/apt-get.cc:2541
#, c-format
msgid "Failed to satisfy %s dependency for %s: %s"
msgstr ""
#: cmdline/apt-get.cc:2551
#: cmdline/apt-get.cc:2555
#, c-format
msgid "Build-dependencies for %s could not be satisfied."
msgstr ""
#: cmdline/apt-get.cc:2555
#: cmdline/apt-get.cc:2559
msgid "Failed to process build dependencies"
msgstr ""
#: cmdline/apt-get.cc:2587
#: cmdline/apt-get.cc:2591
msgid "Supported modules:"
msgstr ""
#: cmdline/apt-get.cc:2628
#: cmdline/apt-get.cc:2632
msgid ""
"Usage: apt-get [options] command\n"
" apt-get [options] install|remove pkg1 [pkg2 ...]\n"
@ -1163,7 +1163,7 @@ msgid ""
" This APT has Super Cow Powers.\n"
msgstr ""
#: cmdline/apt-get.cc:2795
#: cmdline/apt-get.cc:2799
msgid ""
"NOTE: This is only a simulation!\n"
" apt-get needs root privileges for real execution.\n"
@ -1927,7 +1927,7 @@ msgstr ""
msgid "%lis"
msgstr ""
#: apt-pkg/contrib/strutl.cc:1018
#: apt-pkg/contrib/strutl.cc:1029
#, c-format
msgid "Selection %s not found"
msgstr ""
@ -2197,28 +2197,28 @@ msgstr ""
msgid "extra"
msgstr ""
#: apt-pkg/depcache.cc:130 apt-pkg/depcache.cc:159
#: apt-pkg/depcache.cc:123 apt-pkg/depcache.cc:152
msgid "Building dependency tree"
msgstr ""
#: apt-pkg/depcache.cc:131
#: apt-pkg/depcache.cc:124
msgid "Candidate versions"
msgstr ""
#: apt-pkg/depcache.cc:160
#: apt-pkg/depcache.cc:153
msgid "Dependency generation"
msgstr ""
#: apt-pkg/depcache.cc:181 apt-pkg/depcache.cc:200 apt-pkg/depcache.cc:204
#: apt-pkg/depcache.cc:174 apt-pkg/depcache.cc:193 apt-pkg/depcache.cc:197
msgid "Reading state information"
msgstr ""
#: apt-pkg/depcache.cc:228
#: apt-pkg/depcache.cc:221
#, c-format
msgid "Failed to open StateFile %s"
msgstr ""
#: apt-pkg/depcache.cc:234
#: apt-pkg/depcache.cc:227
#, c-format
msgid "Failed to write temporary StateFile %s"
msgstr ""
@ -2302,17 +2302,17 @@ msgid ""
"The package %s needs to be reinstalled, but I can't find an archive for it."
msgstr ""
#: apt-pkg/algorithms.cc:1135
#: apt-pkg/algorithms.cc:1147
msgid ""
"Error, pkgProblemResolver::Resolve generated breaks, this may be caused by "
"held packages."
msgstr ""
#: apt-pkg/algorithms.cc:1137
#: apt-pkg/algorithms.cc:1149
msgid "Unable to correct problems, you have held broken packages."
msgstr ""
#: apt-pkg/algorithms.cc:1414 apt-pkg/algorithms.cc:1416
#: apt-pkg/algorithms.cc:1426 apt-pkg/algorithms.cc:1428
msgid ""
"Some index files failed to download, they have been ignored, or old ones "
"used instead."

Loading…
Cancel
Save